Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.edit.ecore.swt.internal
Class EClassifierOnlyEClassControl

    java.lang.Object
      org.eclipse.emf.ecp.edit.spi.ECPAbstractControl
          org.eclipse.emf.ecp.edit.internal.swt.util.SWTControl
              org.eclipse.emf.ecp.edit.internal.swt.controls.SingleControl
                  org.eclipse.emf.ecp.edit.internal.swt.reference.LinkControl
                      org.eclipse.emf.ecp.edit.ecore.swt.internal.EClassifierControl
                          org.eclipse.emf.ecp.edit.ecore.swt.internal.EClassifierOnlyEClassControl

All Implemented Interfaces:
  ECPControlSWT

    public class EClassifierOnlyEClassControl

extends EClassifierControl

This is a control for `EClassifier`s which will offer the possibility to select `EClass`es. Will be used for editing the type of an `EReference`.

Author:
  jfaltermeier

Constructor Summary
`EClassifierOnlyEClassControl()`

Method Summary

Methods inherited from class org.eclipse.emf.ecp.edit.internal.swt.reference.LinkControl
`bindValue, dispose, getAdapterFactoryItemDelegator, getComposedAdapterFactory, setAdapterFactoryItemDelegator, setComposedAdapterFactory, setEditable`

Methods inherited from class org.eclipse.emf.ecp.edit.internal.swt.controls.SingleControl
`handleValidation, resetValidation, showLabel`

Methods inherited from class org.eclipse.emf.ecp.edit.internal.swt.util.SWTControl
`createControl, createControls, setObservableValue`

Methods inherited from class org.eclipse.emf.ecp.edit.spi.ECPAbstractControl
`getDataBindingContext, getFirstSetting, getFirstStructuralFeature, getItemPropertyDescriptor, init, setEmbedded`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EClassifierOnlyEClassControl

    public EClassifierOnlyEClassControl()

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.